org.eclipse.microprofile.lra.tck

## Class LRAClientOps

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.LRAClientOps

    public class LRAClientOps
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LRAClientOps(jakarta.ws.rs.client.WebTarget target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelLRA(URI lraId)`
`void` `closeLRA(URI lraId)`
`String` `invokeRestEndpointAndReturnLRA(URI lra, String basePath, String path, int coerceResponse)`
`URI` `startLRA(URI parentLRA, String clientID, long timeout, ChronoUnit unit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LRAClientOps

    public LRAClientOps(jakarta.ws.rs.client.WebTarget target)

### Method Detail

#### invokeRestEndpointAndReturnLRA

    public String invokeRestEndpointAndReturnLRA(URI lra,
                                                 String basePath,
                                                 String path,
                                                 int coerceResponse)

#### startLRA

    public URI startLRA(URI parentLRA,
                        String clientID,
                        long timeout,
                        ChronoUnit unit)
                 throws GenericLRAException

Throws:
  `GenericLRAException`

#### cancelLRA

    public void cancelLRA(URI lraId)
                   throws GenericLRAException

Throws:
  `GenericLRAException`

#### closeLRA

    public void closeLRA(URI lraId)
                  throws GenericLRAException

Throws:
  `GenericLRAException`